<?php
namespace Modules\API\APIExterne\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class Hiveo
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function invitation(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function dettacher(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function invitationDepositor(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function popupRelance(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function telechargementDocument(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function relanceInvitationAll(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function bash(): bool
    {
        return true;
    }
}
